Package org.jfree.report.util

# Class CSVQuoter

java.lang.Object
org.jfree.report.util.CSVQuoter

public class CSVQuoter extends Object
The `CSVQuoter` is a helper class to encode a string for the CSV file format.

Author:
  Thomas Morgner.

## Constructor Summary

Constructors
Constructor
Description
`CSVQuoter()`
Creates a new CSVQuoter, which uses a comma as the default separator.
`CSVQuoter(char separator)`
Creates a new `CSVQuoter`, which uses the defined separator.
`CSVQuoter(char separator, char quate)`
Creates a new CSVQuoter with the given separator and quoting character.

## Method Summary

Modifier and Type
Method
Description
`String`
`doQuoting(String original)`
Encodes the string, so that the string can safely be used in CSV files.
`char`
`getQuate()`
Returns the quoting character.
`char`
`getSeparator()`
Gets the separator used in this quoter and the CSV file.
`String`
`undoQuoting(String nativeString)`
Decodes the string, so that all escape sequences get removed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSVQuoter

public CSVQuoter()
Creates a new CSVQuoter, which uses a comma as the default separator.

### CSVQuoter

public CSVQuoter(char separator)
Creates a new `CSVQuoter`, which uses the defined separator.

Parameters:
  `separator` - the separator.
Throws:
  `NullPointerException` - if the given separator is `null`.

### CSVQuoter

public CSVQuoter(char separator, char quate)
Creates a new CSVQuoter with the given separator and quoting character.

Parameters:
  `separator` - the separator
  `quate` - the quoting character

## Method Details

### doQuoting

public String doQuoting(String original)
Encodes the string, so that the string can safely be used in CSV files. If the string does not need quoting, the original string is returned unchanged.

Parameters:
  `original` - the unquoted string.
Returns:
  The quoted string

### undoQuoting

public String undoQuoting(String nativeString)
Decodes the string, so that all escape sequences get removed. If the string was not quoted, then the string is returned unchanged.

Parameters:
  `nativeString` - the quoted string.
Returns:
  The unquoted string.

### getSeparator

public char getSeparator()
Gets the separator used in this quoter and the CSV file.

Returns:
  the separator (never `null`).

### getQuate

public char getQuate()
Returns the quoting character.

Returns:
  the quote character.